osmium::out_of_order_error Struct Reference

`#include <check_order.hpp>`

Inheritance diagram for osmium::out_of_order_error:
[legend]
Collaboration diagram for osmium::out_of_order_error:
[legend]

## Public Member Functions

| out_of_order_error (const std::string &what)
| out_of_order_error (const char *what)

## Detailed Description

Exception thrown when a method in the CheckOrder class detects that the input is out of order.

## Constructor & Destructor Documentation

osmium::out_of_order_error::out_of_order_error | ( | const std::string & | what | ) |

inline

osmium::out_of_order_error::out_of_order_error | ( | const char * | what | ) |

inline

The documentation for this struct was generated from the following file:

- osmium/handler/check_order.hpp